curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"outcome": {
"agent_name": "string",
"billable_sku": "string",
"billing_status": "string",
"call_sid": "string",
"call_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_phone": "+1 415 555 0142",
"disposition": null,
"duration_seconds": 8,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-08-31T14:22:05Z",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_source": "string",
"primary_intent": "string",
"resolution": "string",
"risk_level": "string",
"stream_sid": "string",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
},
"tenant": "acme-outdoors"
}
Get Voice Outcome By Stream
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-outcomes
/
by-stream
/
{stream_sid}
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"outcome": {
"agent_name": "string",
"billable_sku": "string",
"billing_status": "string",
"call_sid": "string",
"call_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_phone": "+1 415 555 0142",
"disposition": null,
"duration_seconds": 8,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-08-31T14:22:05Z",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_source": "string",
"primary_intent": "string",
"resolution": "string",
"risk_level": "string",
"stream_sid": "string",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
},
"tenant": "acme-outdoors"
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Path parameters
string
required
Twilio media stream SID
Response
VoiceOutcomeDetailResponse
boolean
required
VoiceOutcome
required
Show VoiceOutcome
Show VoiceOutcome
string,null
string,null
string
required
string,null
string,null
string (date-time)
required
string,null
any
required
integer,null (int32)
boolean
required
string (uuid)
required
any
required
string (date-time)
required
string,null
string
required
string,null
string
required
string,null
string
required
string
required
string (date-time)
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Canonical voice outcome detail |
401 | Unauthorized |
404 | Voice outcome not found for stream |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"outcome": {
"agent_name": "string",
"billable_sku": "string",
"billing_status": "string",
"call_sid": "string",
"call_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_phone": "+1 415 555 0142",
"disposition": null,
"duration_seconds": 8,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-08-31T14:22:05Z",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_source": "string",
"primary_intent": "string",
"resolution": "string",
"risk_level": "string",
"stream_sid": "string",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
},
"tenant": "acme-outdoors"
}
Last modified on August 31, 2026